## org.ascape.model.space
Class SubGraphAgent

    java.lang.Object
      org.ascape.model.space.SubGraphAgent

All Implemented Interfaces:
  ISubGraphAgent

    public class SubGraphAgent

extends java.lang.Object
implements ISubGraphAgent

Constructor Summary
`SubGraphAgent()`

Method Summary
`CoordinateGraph` `getCoordinateGraph()`
`void` `setCoordinate(Coordinate coordinate)`
`void` `setCoordinateGraph(CoordinateGraph coordinateGraph)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubGraphAgent

    public SubGraphAgent()

Method Detail

### setCoordinate

    public void setCoordinate(Coordinate coordinate)

  Specified by:
    `setCoordinate` in interface `ISubGraphAgent`

### getCoordinateGraph

    public CoordinateGraph getCoordinateGraph()

  Specified by:
    `getCoordinateGraph` in interface `ISubGraphAgent`

### setCoordinateGraph

    public void setCoordinateGraph(CoordinateGraph coordinateGraph)

  Specified by:
    `setCoordinateGraph` in interface `ISubGraphAgent`